<template>
	<div>
		<div class="secondary-bg-image">
			<nav id="navigation" :class="{navBgColor: scrollPosition >= 100}" class="position-fixed navbar navbar-expand-lg navbar-light navbar-laravel">
	            <div class="container">
	                <router-link class="navbar-brand" :to="{ path: '/' }">Student Career MM</router-link>
	                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
	                	<tasty-burger-button 
				        :type="buttonType" 
				        :active="isActive" 
				        :size="size" 
				        :color="color" 
				        :active-color="activeColor" />
	                </button>

	                <div class="collapse navbar-collapse" id="navbarSupportedContent">
	                    <hr class="mt-0 bg-white">
	                    <!-- Left Side Of Navbar -->
	                    <ul class="navbar-nav ml-auto">
	                    	<li v-if="$auth.check() && $auth.user().user_type == 'admin'" 
	                    		class="nav-item mr-2 animate-dropdown">
	                            <router-link class="nav-link" :to="{ name : 'Dashboard'}">
	                            	Dashboard
	                            </router-link>
	                        </li>
	                        <li class="nav-item mr-2">
	                            <router-link class="nav-link" :to="{ name : 'how_it_work'}">
	                            	How it works <i class="far fa-question-circle"></i>
	                            </router-link>
	                        </li>
	                        <li class="nav-item mr-2">
	                            <router-link class="nav-link" :to="{ name : 'JobPage'}">
	                            	Job Page
	                            </router-link>
	                        </li>
	                        <li class="nav-item mr-2">
	                            <router-link class="nav-link text-center " :to="{ name : 'blogPost'}">Blog</router-link>
	                        </li>
	                        <li v-if="!$auth.check()" class="nav-item mr-2">
	                            <router-link class="nav-link" :to="{ name : 'login'}">Sign in</router-link>
	                        </li>
	                        <li v-if="!$auth.check()" class="nav-item mr-2">
	                            <router-link class="nav-link" :to="{ name : 'register'}">Sign up</router-link>
	                        </li>
	                        <li v-if="$auth.check()" class="nav-item mr-2">
	                        	<el-dropdown>
								  	<span class="nav-link nav-item el-dropdown-link">
								    	{{ $auth.user().username | capitalize }}<i class="fas fa-caret-down ml-1"></i>
								  	</span>
								  	<el-dropdown-menu slot="dropdown" class="custom-dropdown">
									    <el-dropdown-item  v-if="$auth.user().user_type == 'employer' || $auth.user().user_type == 'admin'">
									    	<router-link class="nav-dropdown-item" :to="{ name : 'JobPost'}">
	                                        Add Job
	                                    </router-link>
									    </el-dropdown-item>
									    <el-dropdown-item v-if="$auth.user().user_type == 'employer' || $auth.user().user_type == 'admin'">
									    	<router-link class="nav-dropdown-item"
	                            		 	:to="{ name : 'UserJoblist', params: { user_id: $auth.user().id} }">
	                                        Manage Job
	                                    </router-link>
									    </el-dropdown-item>
									    <el-dropdown-item v-if="$auth.user().user_type == 'student'">
									    	<router-link 
	                            				v-if="user.cvform == null"
	                            				class="nav-dropdown-item" 
	                            				:to="{ name : 'Cvform'}">
	                                        	CV Form
		                                    </router-link>
		                                    <router-link 
		                                    	v-if="user.cvform == 'complete'"
		                                    	class="nav-dropdown-item" 
		                                    	:to="{ name: 'editCvform', params: {id: $auth.user().id} }">
		                                        Edit CV Form
		                                    </router-link>
									    </el-dropdown-item>
									    <el-dropdown-item >
									    	<a href="#" class="nav-dropdown-item" @click.prevent="logout">Logout</a>
									    </el-dropdown-item>
								  	</el-dropdown-menu>
								</el-dropdown>
	                            <!-- <span class="nav-link nav-item">
	                                {{ $auth.user().username | capitalize }}<i class="fas fa-caret-down ml-1"></i>
	                            </span>
	                            <ul class="arrow-up">
	                            	<li v-if="$auth.user().user_type == 'employer' || $auth.user().user_type == 'admin'">
	                            		<router-link class="nav-dropdown-item" :to="{ name : 'JobPost'}">
	                                        Add Job
	                                    </router-link>
	                            	</li>
	                            	<li v-if="$auth.user().user_type == 'employer' || $auth.user().user_type == 'admin'">
	                            		<router-link class="nav-dropdown-item"
	                            		 :to="{ name : 'UserJoblist', params: { user_id: $auth.user().id} }">
	                                        Manage Job
	                                    </router-link>
	                            	</li>
	                            	<li v-if="$auth.user().user_type == 'student'">
	                            		<router-link 
	                            			v-if="user.cvform == null"
	                            			class="nav-dropdown-item" 
	                            			:to="{ name : 'Cvform'}">
	                                        CV Form
	                                    </router-link>
	                                    <router-link 
	                                    	v-if="user.cvform == 'complete'"
	                                    	class="nav-dropdown-item" 
	                                    	:to="{ name: 'editCvform', params: {id: $auth.user().id} }">
	                                        Edit CV Form
	                                    </router-link>
	                            	</li>
	                                <li>
	                                	<a href="#" class="nav-dropdown-item" @click.prevent="logout">Logout</a>
	                                </li>
	                            </ul> -->
	                        </li>
	                    </ul>
	                </div>
	            </div>
	        </nav>
		</div>
	    <router-view :user="user"></router-view>
	</div>
</template>

<style type="text/css">
    .el-dropdown {
        font-size: 16px!important;
    }
</style>

<script>
	export default {
		data() {
            return {
            	buttonType: 'spring',
		      	isActive: false,
		      	size: 'm',
		      	color: 'white',
		      	activeColor: 'white',
		      	scrollPosition: null,
                username: '',
                user: '',
            }
        },
        methods: {
            logout() {
                this.$auth.logout({
                    redirect: '/login',
                    fetchUser: true,
                });
            },
            getUser() {
				axios.get('/auth/user').then(response => {
					this.user = response.data.data;
				})
			},
			updateScroll() {
	      		this.scrollPosition = window.scrollY
	    	}
        },
        mounted() {
        	window.addEventListener('scroll', this.updateScroll);
			if ( this.$auth.check() ) {
				this.getUser();
			};
		},
        filters: {
            capitalize: function (value) {
                if (!value) return ''
                value = value.toString()
                return value.charAt(0).toUpperCase() + value.slice(1)
            }
        },
	}
</script>